ncsa.hdf.hdflib

## Class HDFJavaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ncsa.hdf.hdflib.HDFException
      - - ncsa.hdf.hdflib.HDFJavaException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  HDFNotImplementedException

    public class HDFJavaException
    extends HDFException

The class HDFJavaException returns errors from the Java wrapper of theHDF library.

These errors include Java configuration errors, security violations, and resource exhaustion.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class ncsa.hdf.hdflib.HDFException

`HDFExceptionMessage, HDFMessage, OutOfMemoryMessage`

### Constructor Summary

Constructors
Constructor and Description
`HDFJavaException()`
`HDFJavaException(java.lang.String s)`

### Method Summary

Methods
`java.lang.String` `getMessage()`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HDFJavaException

    public HDFJavaException()

#### HDFJavaException

    public HDFJavaException(java.lang.String s)

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `HDFException`